Package be.fgov.ehealth.rn.commons.business.v1

# Class SsinWithCanceledAndReplacesStatusType

java.lang.Object
be.fgov.ehealth.rn.commons.business.v1.SsinWithCanceledAndReplacesStatusType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class SsinWithCanceledAndReplacesStatusType extends Object implements Serializable

Java class for SsinWithCanceledAndReplacesStatusType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SsinWithCanceledAndReplacesStatusType">
       <simpleContent>
         <extension base="<urn:be:fgov:ehealth:rn:commons:business:v1>SsinType">
           <attribute name="Canceled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="Replaces" type="{urn:be:fgov:ehealth:rn:commons:business:v1}SsinType" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SsinWithCanceledAndReplacesStatusType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getReplaces()`
  Gets the value of the replaces property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `Boolean`
  `isCanceled()`
  Gets the value of the canceled property.
  `void`
  `setCanceled(Boolean value)`
  Sets the value of the canceled property.
  `void`
  `setReplaces(String value)`
  Sets the value of the replaces property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SsinWithCanceledAndReplacesStatusType

    public SsinWithCanceledAndReplacesStatusType()

- ## Method Details

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`

  - ### isCanceled

    public Boolean isCanceled()
    Gets the value of the canceled property.
    Returns:
      possible object is `Boolean`

  - ### setCanceled

    public void setCanceled(Boolean value)
    Sets the value of the canceled property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getReplaces

    public String getReplaces()
    Gets the value of the replaces property.
    Returns:
      possible object is `String`

  - ### setReplaces

    public void setReplaces(String value)
    Sets the value of the replaces property.
    Parameters:
      `value` - allowed object is `String`